package br.com.padaria.controller;

import org.nextframework.controller.Controller;
import org.nextframework.controller.MultiActionController;
import org.nextframework.core.web.WebRequestContext;
import org.springframework.web.servlet.ModelAndView;

import br.com.padaria.dao.VendaDAO;
import br.com.padaria.entity.Venda;

@Controller(path="/site/Venda")
public class VendaController extends MultiActionController {
	
	VendaDAO vendaDAO;
	
	public void setVendaDAO(VendaDAO vendaDAO) {
		this.vendaDAO = vendaDAO;
	}

	public ModelAndView criar(WebRequestContext request){
		request.setAttribute("venda", new Venda());
		return new ModelAndView("venda");
	}
	
	public ModelAndView salvar(WebRequestContext request, Venda venda){
		vendaDAO.saveOrUpdate(venda);
		request.addMessage("Venda criada com sucesso!");
		return sendRedirectToAction("criar");
	}
}
