<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="n" uri="next"%>
<%@ taglib prefix="t" uri="template"%>

<t:tela titulo="Venda">
	<n:bean name="venda">
		<t:propertyConfig mode="input" renderAs="double">
		<n:panelGrid columns="2" class="inputWindow" width="100%">
			<t:property name="funcionario" labelStyle="width: 100px"/>
			<t:property name="data" type="hidden" write="true"/>
			<n:panel colspan="2">
				<t:detalhe name="itens">
					<t:property name="pao"/>
					<t:property name="quantidade"/>
				</t:detalhe>
			</n:panel>
			<n:submit action="salvar">Efetuar venda</n:submit>
		</n:panelGrid>
		</t:propertyConfig>
	</n:bean>
</t:tela>